Bug 50183 - [Tribes] Bio Sender is not scheduling the task to the excecutors
[Tribes] Bio Sender is not scheduling the task to the excecutors
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Cluster
trunk
PC Linux
: P2 major (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-10-29 16:55 UTC by Ariel
Modified: 2010-11-18 09:24 UTC (History)
0 users



Attachments
proposed patch (1.30 KB, patch)
2010-10-29 16:55 UTC, Ariel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ariel 2010-10-29 16:55:40 UTC
Created attachment 26228 [details]
proposed patch

Hi,

I'm using apache tribes outside of Tomcat.
Although my version is not the latest one, the bug also occurs in Trunk.

It seems that there was a refactor (using executors instead of threads and monitors) and BioReceiver is not scheduling the task.

(I think that the patch is much more descriptive than any comment I could write)

Regards,
Ariel
Comment 1 Ariel 2010-11-03 14:37:48 UTC
Any news?
Comment 2 Mark Thomas 2010-11-11 07:52:52 UTC
Many thanks for the patch.

It has been applied to trunk and will be included in 7.0.5 onwards.
Comment 3 Ariel 2010-11-18 09:24:31 UTC
Thank you for fixing this bug!